
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.CgQtEntity;
import org.sky.scientific.pojo.vo.CgQtVO;
import java.util.Objects;

/**
 * 科研成果-其他成果 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class CgQtWrapper extends BaseEntityWrapper<CgQtEntity, CgQtVO> {

	public static CgQtWrapper build() {
		return new CgQtWrapper();
 	}

	@Override
	public CgQtVO entityVO(CgQtEntity cgQt) {
		CgQtVO cgQtVO = Objects.requireNonNull(BeanUtil.copyProperties(cgQt, CgQtVO.class));

		//User createUser = UserCache.getUser(cgQt.getCreateUser());
		//User updateUser = UserCache.getUser(cgQt.getUpdateUser());
		//cgQtVO.setCreateUserName(createUser.getName());
		//cgQtVO.setUpdateUserName(updateUser.getName());

		return cgQtVO;
	}


}
